<div class="card">
    <div class="card-header">
        <i class="icon-map"></i>Asset Tracking
        <div class="card-actions">
        </div>
    </div>
    <div class="card-body">
      <agm-map [latitude]="defaultLatitude" [longitude]="defaultLongitude" [zoom]="16">
       <agm-marker *ngFor="let detail of lspDetails " [title]="detail.batteryPackId" [latitude]="detail.lat" [label]="detail.markerLabel"
          [longitude]="detail.lon">
        </agm-marker> 
      </agm-map>
    </div>
</div>

<div class="animated fadeIn">
  <div class="card card-accent-warning">
    <div class="card-header">
      <i class="fa fa-align-justify"></i>Asset List
      <button type="Submit" title="Refresh Asset list" class="btn bg-primary" (click)="rerender()" style="float: right">Refresh</button>
    </div>
    <div *ngIf="isLoading==true" class="progress">
      <div class="progress-bar progress-bar-striped progress-bar-animated bg-primary" role="progressbar" aria-valuenow="100" aria-valuemin="0"
        aria-valuemax="100"></div>
    </div>

    

    <div class="card-body">
      <div class="row md-3" style="margin-bottom : 1rem">
       
      </div>
      <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped table-bordered row-border hover">
        <thead>
          <tr>
            <th>#</th>
            <th>Battery ID</th>
            <th>User Name</th>
            <th>User ID</th>
            <th>Charge Left</th>
            <th>KM Left</th>

          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let detail of lspDetails; let i = index">
            <td>{{i + 1}}</td>
            <td>{{detail.batteryPackId}}</td>
            <td>{{detail.name}}</td>
            <td>{{detail.actorId}}</td>
            <td>{{detail.capLeft}}</td>
            <td>{{detail.kmLeft}}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>